### Method

# Clutter Script lookup_filename

#### Declaration [src]

    gchar*
    clutter_script_lookup_filename (
      ClutterScript* script,
      const gchar* filename
    )

#### Description [src]

Looks up `filename` inside the search paths of `script`. If `filename` is found, its full path will be returned .

#### Parameters

`filename`

  Type: `const gchar*`

  The name of the file to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The full path of `filename` or `NULL` if no path was found.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.